<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net5.0</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Warehouse.Domain\Warehouse.Domain.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EmptyConstructor.Fody" Version="3.0.3" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="5.0.10" />
    </ItemGroup>

</Project>
